[Dialer]In Conference call in emergency call mode, end one caller, the prompt message of "{{caller}} has left the call" pop up.

RESOLVED WONTFIX

Status

Firefox OS
Gaia::Dialer
RESOLVED WONTFIX
3 years ago
5 months ago

People

(Reporter: Lancy(Leave from Mozilla), Unassigned)

Tracking

({regression})

unspecified
ARM
Gonk (Firefox OS)
regression

Firefox Tracking Flags

(b2g-v2.2 unaffected, b2g-v2.5 affected, b2g-master affected)

Details

Attachments

(2 attachments)

(Reporter)

Description

3 years ago
Created attachment 8702510 [details]
logcat.txt

[1.Description]:
[FlameKK v2.5&master][AriesKK v2.5&master][Dialer]In Conference call in emergency call mode, one caller hang the call up, the prompt message of "{{caller}} has left the call" pops up.
See attachments:FlameKK_master.3gp and logcat.txt.
Occurrence time:18:25

[2.Testing Steps]: 
Precondition: 1. One SIM card is inserted in DUT.
              2. Enable passcode in Settings.
              3. Set two ICE contacs.

Steps:
1. Press Power key twice and unlock screen.
2. Tap "emergency call"  in the passcode view.
3. Call one ICE contact and add another ICE contact.
4. Merge the call.
5. End one caller.

[3.Expected Result]: 
5.The name of ICE contact instead of "{{caller}}" is displayed in the prompt message.

[4.Actual Result]: 
5.The prompt message of "{{caller}} has left the call" pops up.

[5.Reproduction build]: 
Device: Flame KK master 512mb (affected)
Build ID               20151228150204
Gaia Revision          15a00047c0868cc8f4c8ec4af253b82ac54d70dd
Gaia Date              2015-12-26 05:30:48
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/7c83da46ea740bc14028aca9f9a662f062de5586
Gecko Version          46.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151228.185050
Firmware Date          Mon Dec 28 18:51:03 EST 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device: Flame KK v2.5 512mb (affected)
Build ID               20151223152613
Gaia Revision          8db2cdd9eb9b42932c4dfc86d109b3e46c220809
Gaia Date              2015-12-23 13:30:29
Gecko Revision         http://hg.mozilla.org/releases/mozilla-b2g44_v2_5/rev/6fac3536a96a87185a6415d6ae2c36a85612e863
Gecko Version          44.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151223.143931
Firmware Date          Wed Dec 23 14:39:41 UTC 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device: Aries KK master (affected)
Build ID               20151228092606
Gaia Revision          15a00047c0868cc8f4c8ec4af253b82ac54d70dd
Gaia Date              2015-12-26 05:30:48
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/7c83da46ea740bc14028aca9f9a662f062de5586
Gecko Version          46.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151228.095413
Firmware Date          Mon Dec 28 09:54:21 UTC 2015
Bootloader             s1

Device: Aries KK v2.5 (affected)
Build ID               20151223153111
Gaia Revision          8db2cdd9eb9b42932c4dfc86d109b3e46c220809
Gaia Date              2015-12-23 13:30:29
Gecko Revision         http://hg.mozilla.org/releases/mozilla-b2g44_v2_5/rev/6fac3536a96a87185a6415d6ae2c36a85612e863
Gecko Version          44.0
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151223.144147
Firmware Date          Wed Dec 23 14:41:54 UTC 2015
Bootloader             s1

Device: Flame KK v2.2 build 512mb(Unaffected)
Build ID               20151228032554
Gaia Revision          885647d92208fb67574ced44004ab2f29d23cb45
Gaia Date              2015-10-07 13:05:24
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/5e0425230b93
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151228.065250
Firmware Date          Mon Dec 28 06:53:01 EST 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,10/10

[7.TCID]: 
Free Test
(Reporter)

Comment 1

3 years ago
Created attachment 8702511 [details]
FlameKK_master.3gp
(Reporter)

Updated

3 years ago
status-b2g-v2.2: --- → unaffected
status-b2g-v2.5: --- → affected
status-b2g-master: --- → affected
(Reporter)

Updated

3 years ago
Keywords: regression
blocking-b2g: --- → 2.6?
This is the most accurate "Last Working" and "First Broken" builds that we have in b2g-inbound. And there is no more accurate builds in Mozilla-inbound and Nightly. Hope this helps.

b2g-inbound Regression Window:

Last Working Environmental Variables:
Device: Flame KK master (512mb):
Build ID               20150919012935
Gaia Revision          e67d319d0854e32e23210784eb9c4e1b8a025adb
Gaia Date              2015-09-19 07:42:05
Gecko Revision         https://hg.mozilla.org/integration/b2g-inbound/rev/9718f1e5a391dfc85138f04bd26db8479a0a80dc
Gecko Version          43.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150911.182943
Firmware Date          Fri Sep 11 18:29:53 EDT 2015
Bootloader             L1TC000118D0

First Broken Environment Variables:
Device: Flame KK master (512mb):
Build ID               20151001002926
Gaia Revision          bd8ff00faac97ad6a2df5a6217910b8d295d56a3
Gaia Date              2015-10-01 06:59:53
Gecko Revision         https://hg.mozilla.org/integration/b2g-inbound/rev/b8f68e468d43c13a13081a911c73718a6954edcb
Gecko Version          44.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150911.182943
Firmware Date          Fri Sep 11 18:29:53 EDT 2015
Bootloader             L1TC000118D0

First Broken Gaia & Last Working Gecko – issue DOES repro
Gaia Revision          bd8ff00faac97ad6a2df5a6217910b8d295d56a3
Gecko Revision         https://hg.mozilla.org/integration/b2g-inbound/rev/9718f1e5a391dfc85138f04bd26db8479a0a80dc

First Broken Gecko & Last Working Gaia – issue DOES NOT repro
Gaia Revision          e67d319d0854e32e23210784eb9c4e1b8a025adb
Gecko Revision         https://hg.mozilla.org/integration/b2g-inbound/rev/b8f68e468d43c13a13081a911c73718a6954edcb

Gaia pushlog:
https://github.com/mozilla-b2g/gaia/compare/e67d319d0854e32e23210784eb9c4e1b8a025adb...bd8ff00faac97ad6a2df5a6217910b8d295d56a3

Waitting for someone else to do a smaller regressionwindow.
QA Whiteboard: [MGSEI-Triage+]
blocking-b2g: 2.6? → 2.6+
Priority: -- → P3
blocking-b2g: 2.6+ → ---
Priority: P3 → --

Comment 3

5 months ago
Firefox OS is not being worked on
Status: NEW → RESOLVED
Last Resolved: 5 months ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.